List Batch Jobs
curl --request GET \
--url https://api.vogent.ai/api/batch_dial_jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vogent.ai/api/batch_dial_jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vogent.ai/api/batch_dial_jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"maxConcurrentDials": 123,
"name": "<string>",
"callAgentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fromPhoneNumberIds": [
"<string>"
],
"schedule": {
"days": [
{
"dayOfWeek": 123,
"timeSlots": [
{
"startTime": "<string>",
"endTime": "<string>"
}
]
}
],
"timezone": "<string>"
}
}
],
"cursor": "<string>"
}Batch Dials
List Batch Jobs
Lists batch dial jobs for the workspace.
GET
/
batch_dial_jobs
List Batch Jobs
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Query Parameters
The number of jobs to return.
The cursor for pagination.
Available options:
INIT, ACTIVE, PAUSED, COMPLETE, CANCELLED ⌘I